Index: trunk/packages/sipb-xen-console/debian/changelog
===================================================================
--- trunk/packages/sipb-xen-console/debian/changelog	(revision 697)
+++ trunk/packages/sipb-xen-console/debian/changelog	(revision 699)
@@ -1,2 +1,8 @@
+sipb-xen-console (7.5) unstable; urgency=low
+
+  * Generate config at start/reload from /etc/invirt/*.
+
+ -- Greg Price <price@mit.edu>  Mon, 21 Jul 2008 18:29:43 -0400
+
 sipb-xen-console (7.4) unstable; urgency=low
 
Index: trunk/packages/sipb-xen-console/debian/sipb-xen-console.init
===================================================================
--- trunk/packages/sipb-xen-console/debian/sipb-xen-console.init	(revision 697)
+++ trunk/packages/sipb-xen-console/debian/sipb-xen-console.init	(revision 699)
@@ -16,5 +16,5 @@
 # PATH should only include /usr/* if it runs after the mountnfs.sh script
 PATH=/sbin:/usr/sbin:/bin:/usr/bin
-DESC="The sipb-xen console server homedir filesystem"
+DESC="The sipb-xen console server"
 NAME=sipb-xen-console
 DAEMON=/usr/bin/sipb-xen-consolefs
@@ -36,4 +36,13 @@
 . /lib/lsb/init-functions
 
+gen_config()
+{
+	perl -pe 's|^|#include /etc/conserver/conf.d/|' \
+	    </etc/invirt/hosts >/etc/conserver/invirt-hosts.cf
+	INVIRT_REALM="$(cat /etc/invirt/realm)"
+	perl -pe "s|^|host/|; s|\$|\@$INVIRT_REALM|" \
+	    </etc/invirt/hosts >/etc/remctl/acl/invirt-console
+}
+
 #
 # Function that starts the daemon/service
@@ -46,4 +55,5 @@
 	#   2 if daemon could not be started
 	modprobe fuse
+	gen_config
 	daemon --running -n $NAME && return 1
 	daemon -r -O daemon.info -E daemon.err -n $NAME -U $DAEMON $DAEMON_ARGS || return 2
@@ -69,4 +79,10 @@
 }
 
+do_reload()
+{
+	gen_config
+	/etc/init.d/conserver-server reload
+}
+
 case "$1" in
   start)
@@ -86,18 +102,10 @@
 	esac
 	;;
-  #reload|force-reload)
-	#
-	# If do_reload() is not implemented then leave this commented out
-	# and leave 'force-reload' as an alias for 'restart'.
-	#
-	#log_daemon_msg "Reloading $DESC" "$NAME"
-	#do_reload
-	#log_end_msg $?
-	#;;
-  restart|force-reload)
-	#
-	# If the "reload" option is implemented then remove the
-	# 'force-reload' alias
-	#
+  reload|force-reload)
+	log_daemon_msg "Reloading $DESC" "$NAME"
+	do_reload
+	log_end_msg $?
+	;;
+  restart)
 	log_daemon_msg "Restarting $DESC" "$NAME"
 	do_stop
@@ -118,6 +126,5 @@
 	;;
   *)
-	#echo "Usage: $SCRIPTNAME {start|stop|restart|reload|force-reload}" >&2
-	echo "Usage: $SCRIPTNAME {start|stop|restart|force-reload}" >&2
+	echo "Usage: $SCRIPTNAME {start|stop|restart|reload|force-reload}" >&2
 	exit 3
 	;;
